Ciele
API-Schlüssel

Mint an API key; secret returned once

POST/api/v1/api-keys

Erfordert einen Organisations-API-Schlüssel mit der Berechtigung manageApiKeys.

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "role": "owner"  }'
{  "apiKey": {    "id": "string",    "organizationId": "string",    "name": "string",    "secretHint": "string",    "role": "owner",    "createdBy": "string",    "createdAt": "string",    "lastUsedAt": null,    "revokedAt": null  },  "secret": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}